#!/bin/bash -xev
#
# Caio Begotti for the Mozilla/Brasil project
# <caio1982@gmail.com> http://www.mozilla.org.br
#
# A very simple script to capture some information 
# about your computer before start the tests with browsers.
# Run this script just after your boot process finish up.

# choose the location of the log file but leaves its $ as is
TLOG="/tmp/machineinfo.log"

# just to make sure the log is empty
echo "" > ${TLOG}

# only to make sure we are "clean"
free -m -t >> ${TLOG}
echo -e '\n' >> ${TLOG}

# some stats about the current process
ps aux >> ${TLOG}
echo -e '\n' >> ${TLOG}

# a little of kernel info
cat /proc/version >> ${TLOG}
echo -e '\n' >> ${TLOG}

# results depends on your machine spec
cat /proc/cpuinfo >> ${TLOG}
